DOM::Rect Class Reference

`#include <css_value.h>`

## Public Member Functions

| Rect (const Rect &other)
Rect & | operator= (const Rect &other)
CSSPrimitiveValue | top () const
CSSPrimitiveValue | right () const
CSSPrimitiveValue | bottom () const
CSSPrimitiveValue | left () const
RectImpl * | handle () const
bool | isNull () const

## Protected Member Functions

| Rect (RectImpl *i)

## Protected Attributes

RectImpl * | impl

## Friends

class | CSSPrimitiveValue

## Detailed Description

The `Rect` interface is used to represent any rect value.

This interface reflects the values in the underlying style property. Hence, modifications made through this interface modify the style property.

Definition at line 642 of file css_value.h.

## Member Function Documentation

CSSPrimitiveValue DOM::Rect::bottom | ( |  | ) | const

This attribute is used for the bottom of the rect.

Definition at line 563 of file css_value.cpp.

CSSPrimitiveValue DOM::Rect::left | ( |  | ) | const

This attribute is used for the left of the rect.

Definition at line 569 of file css_value.cpp.

CSSPrimitiveValue DOM::Rect::right | ( |  | ) | const

This attribute is used for the right of the rect.

Definition at line 557 of file css_value.cpp.

CSSPrimitiveValue DOM::Rect::top | ( |  | ) | const

This attribute is used for the top of the rect.

Definition at line 551 of file css_value.cpp.

The documentation for this class was generated from the following files:

- css_value.h
- css_value.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys